de.esprit.netsuite.server.cfg

## Interface ServerFiles

- All Known Implementing Classes:
    ServerConfigResourceDef, TaskHistoryWriter

      public interface ServerFiles

  This interface defines the names of the servers configuration files
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BATCH_TASK_HISTORY_FILENAME`
    `static java.lang.String` | `BATCHTASK_CFG`
    `static java.lang.String` | `CONFIG_DIR`
    `static java.lang.String` | `DATASOURCE_CFG`
    `static java.lang.String` | `GROUP_CFG`
    `static java.lang.String` | `NETWORK_CFG`
    `static java.lang.String` | `PARAM_CFG`
    `static java.lang.String` | `REMOTE_TASK_HISTORY_FILENAME`
    `static java.lang.String` | `SRVDATA_DIR`
    `static java.lang.String` | `SRVHIST_DIR`
    `static java.lang.String` | `SRVLOGS_DIR`
    `static java.lang.String` | `SRVTASK_DIR`
    `static java.lang.String` | `STARTUP_CFG`
    `static java.lang.String` | `USER_CFG`
    `static java.lang.String` | `WEBDATA_DIR`

- - ### Field Detail

    - #### CONFIG_DIR

          static final java.lang.String CONFIG_DIR

      See Also:
        Constant Field Values

    - #### SRVDATA_DIR

          static final java.lang.String SRVDATA_DIR

      See Also:
        Constant Field Values

    - #### SRVLOGS_DIR

          static final java.lang.String SRVLOGS_DIR

      See Also:
        Constant Field Values

    - #### SRVHIST_DIR

          static final java.lang.String SRVHIST_DIR

      See Also:
        Constant Field Values

    - #### SRVTASK_DIR

          static final java.lang.String SRVTASK_DIR

      See Also:
        Constant Field Values

    - #### WEBDATA_DIR

          static final java.lang.String WEBDATA_DIR

      See Also:
        Constant Field Values

    - #### STARTUP_CFG

          static final java.lang.String STARTUP_CFG

      See Also:
        Constant Field Values

    - #### PARAM_CFG

          static final java.lang.String PARAM_CFG

      See Also:
        Constant Field Values

    - #### USER_CFG

          static final java.lang.String USER_CFG

      See Also:
        Constant Field Values

    - #### GROUP_CFG

          static final java.lang.String GROUP_CFG

      See Also:
        Constant Field Values

    - #### NETWORK_CFG

          static final java.lang.String NETWORK_CFG

      See Also:
        Constant Field Values

    - #### DATASOURCE_CFG

          static final java.lang.String DATASOURCE_CFG

      See Also:
        Constant Field Values

    - #### BATCHTASK_CFG

          static final java.lang.String BATCHTASK_CFG

      See Also:
        Constant Field Values

    - #### REMOTE_TASK_HISTORY_FILENAME

          static final java.lang.String REMOTE_TASK_HISTORY_FILENAME

      See Also:
        Constant Field Values

    - #### BATCH_TASK_HISTORY_FILENAME

          static final java.lang.String BATCH_TASK_HISTORY_FILENAME

      See Also:
        Constant Field Values

Copyright © 2013 EsprIT-Systems. All Rights Reserved.